lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'synthetic/version'

Gem::Specification.new do |spec|
	spec.name          = 'synthetic'
	spec.version       = Synthetic::VERSION
	spec.authors       = ['Justin Workman']
	spec.email         = ['xtagon@gmail.com']
	spec.summary       = "Synthetic is an IRC bot framework based on Cinch and Wit."
	spec.description   = spec.summary
	spec.license       = 'MIT'

	spec.files         = `git ls-files`.split($/)
	spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
	spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
	spec.require_paths = ['lib']

	spec.add_runtime_dependency 'cinch', '~> 2.0'
	spec.add_runtime_dependency 'cinch-wit', '~> 0.0.2'
	spec.add_runtime_dependency 'slop', '~> 3.4'

	spec.add_development_dependency 'bundler', '~> 1.3'
	spec.add_development_dependency 'pry-debugger'
	spec.add_development_dependency 'rake'
end
